%global debug_package   %{nil}

%global provider_prefix code
%global provider        google
%global provider_tld    com
%global project         p
%global repo            go.exp
%global commit          77a5f324d8f52bc9a7116aab8ed7136f08ea5310
%global shortcommit     %(c=%{commit}; echo ${c:0:12})
%global import_path     %{provider_prefix}.%{provider}.%{provider_tld}/%{project}/%{repo}

%global x_provider      golang
%global x_provider_tld  org
%global x_project       x
%global x_repo          exp
%global x_import_path   %{x_provider}.%{x_provider_tld}/x/%{x_repo}
%global x_name          golang-%{x_provider}%{x_provider_tld}-%{x_repo}

Name:           golang-googlecode-go-exp
Version:        0
Release:        0.5.hg%{shortcommit}%{?dist}
Summary:        Experimental tools and packages for Go
License:        BSD
URL:            http://%{import_path}
Source0:        https://exp.go.googlecode.com/archive/%{commit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}.

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(code.google.com/p/go.text/language)
BuildRequires:  golang(code.google.com/p/go.text/collate/colltab)
Requires:       golang >= 1.2.1-3
Requires:       golang(code.google.com/p/go.text/language)
Requires:       golang(code.google.com/p/go.text/collate/colltab)
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/ebnf) = %{version}-%{release}
Provides:       golang(%{import_path}/ebnflint) = %{version}-%{release}
Provides:       golang(%{import_path}/fsnotify) = %{version}-%{release}
Provides:       golang(%{import_path}/inotify) = %{version}-%{release}
Provides:       golang(%{import_path}/locale) = %{version}-%{release}
Provides:       golang(%{import_path}/locale/search) = %{version}-%{release}
Provides:       golang(%{import_path}/old) = %{version}-%{release}
Provides:       golang(%{import_path}/old/netchan) = %{version}-%{release}
Provides:       golang(%{import_path}/utf8string) = %{version}-%{release}

%package -n %{x_name}-devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(golang.org/x/text/language)
BuildRequires:  golang(golang.org/x/text/collate/colltab)
Requires:       golang >= 1.2.1-3
Requires:       golang(golang.org/x/text/language)
Requires:       golang(golang.org/x/text/collate/colltab)
Summary:        %{summary}
Provides:       golang(%{x_import_path}) = %{version}-%{release}
Provides:       golang(%{x_import_path}/ebnf) = %{version}-%{release}
Provides:       golang(%{x_import_path}/ebnflint) = %{version}-%{release}
Provides:       golang(%{x_import_path}/fsnotify) = %{version}-%{release}
Provides:       golang(%{x_import_path}/inotify) = %{version}-%{release}
Provides:       golang(%{x_import_path}/locale) = %{version}-%{release}
Provides:       golang(%{x_import_path}/locale/search) = %{version}-%{release}
Provides:       golang(%{x_import_path}/old) = %{version}-%{release}
Provides:       golang(%{x_import_path}/old/netchan) = %{version}-%{release}
Provides:       golang(%{x_import_path}/utf8string) = %{version}-%{release}

# winfsnotify is for Windows only

%description devel
%{summary}.

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%description -n %{x_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use %{x_project}/%{x_repo}.

%prep
%setup -q -n exp.go-%{shortcommit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
install -d -p %{buildroot}/%{gopath}/src/%{x_import_path}/
for d in ebnf ebnflint fsnotify inotify locale old utf8string; do
        cp -pav $d %{buildroot}/%{gopath}/src/%{import_path}/
        cp -pav $d %{buildroot}/%{gopath}/src/%{x_import_path}/
done

cd %{buildroot}/%{gopath}/src/%{import_path}
# from https://groups.google.com/forum/#!topic/golang-nuts/eD8dh3T9yyA, first post
sed -i 's/"golang\.org\/x\//"code\.google\.com\/p\/go\./g' \
        $(find . -name '*.go')

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/{ebnf,ebnflint,fsnotify,inotify,locale/search,old/netchan,utf8string}

%files devel
%doc LICENSE PATENTS README 
%{gopath}/src/%{import_path}

%files -n %{x_name}-devel
%doc LICENSE PATENTS README 
%{gopath}/src/%{x_import_path}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.hg77a5f324d8f5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 09 2014 jchaloup <jchaloup@redhat.com> - 0-0.4.hg77a5f324d8f5
- Update to the latest commit 77a5f324d8f52bc9a7116aab8ed7136f08ea5310
  related: #1148481

* Fri Nov 21 2014 jchaloup <jchaloup@redhat.com> - 0-0.3.hgbd8df7009305
- Extend import paths for golang.org/x/
  related: #1148481

* Sun Oct 26 2014 jchaloup <jchaloup@redhat.com> - 0-0.2.hgbd8df7009305
- Choose the correct architecture
  related: #1148481

* Mon Sep 15 2014 Eric Paris <eparis@redhat.com - 0-0.1.hgbd8df7009305
- Bump to upstream bd8df7009305d6ada223ea3c95b94c0f38bfa119

